com.trendmicro.ds.platform.rest.object.samlidentityproviders

## Class ListSAMLIdentityProvidersResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.samlidentityproviders.ListSAMLIdentityProvidersResponse

-     public class ListSAMLIdentityProvidersResponse
      extends java.lang.Object

  Response object for the ListSAMLIdentityProviders API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSAMLIdentityProvidersResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)` Add a SAML identity provider to the list of SAML identity providers.
    `java.util.List<SAMLIdentityProvider>` | `getSAMLIdentityProviders()` Get the list of SAML identity providers.
    `void` | `setSAMLIdentityProviders(java.util.List<SAMLIdentityProvider> samlIdentityProviders)` Set the list of SAML identity providers.
    `ListSAMLIdentityProvidersResponse` | `withSAMLIdentityProviders(java.util.List<SAMLIdentityProvider> samlIdentityProviders)` Set the list of SAML identity providers.
    `ListSAMLIdentityProvidersResponse` | `withSAMLIdentityProviders(SAMLIdentityProvider... samlIdentityProviders)` Set the list of SAML identity providers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSAMLIdentityProvidersResponse

          public ListSAMLIdentityProvidersResponse()

  - ### Method Detail

    - #### getSAMLIdentityProviders

          public java.util.List<SAMLIdentityProvider> getSAMLIdentityProviders()

      Get the list of SAML identity providers.
      Returns:
        the list of SAML identity providers.

    - #### setSAMLIdentityProviders

          public void setSAMLIdentityProviders(java.util.List<SAMLIdentityProvider> samlIdentityProviders)

      Set the list of SAML identity providers.
      Parameters:
        `samlIdentityProviders` - the list of SAML identity providers.

    - #### withSAMLIdentityProviders

          public ListSAMLIdentityProvidersResponse withSAMLIdentityProviders(java.util.List<SAMLIdentityProvider> samlIdentityProviders)

      Set the list of SAML identity providers.
      Parameters:
        `samlIdentityProviders` - the list of SAML identity providers.
      Returns:
        the updated response object.

    - #### withSAMLIdentityProviders

          public ListSAMLIdentityProvidersResponse withSAMLIdentityProviders(SAMLIdentityProvider... samlIdentityProviders)

      Set the list of SAML identity providers.
      Parameters:
        `samlIdentityProviders` - the list of SAML identity providers.
      Returns:
        the updated response object.

    - #### addSAMLIdentityProvider

          public void addSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)

      Add a SAML identity provider to the list of SAML identity providers.
      Parameters:
        `samlIdentityProvider` - the SAML identity provider to add.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.